<?php

/**
 * Dynamic CSS
 */
function roof_water_proofing_dynamic_css() {
	$roof_water_proofing_primary_color = get_theme_mod( 'roof_water_proofing_primary_color', '#FE4B01' );
	$roof_water_proofing_secondary_color = get_theme_mod( 'roof_water_proofing_secondary_color', '#1B1E6D' );

	$roof_water_proofing_site_title_font       = get_theme_mod( 'roof_water_proofing_site_title_font', 'Work Sans' );
	$roof_water_proofing_site_description_font = get_theme_mod( 'roof_water_proofing_site_description_font', 'Work Sans' );
	$roof_water_proofing_header_font           = get_theme_mod( 'roof_water_proofing_header_font', 'Bebas Neue' );
	$roof_water_proofing_content_font          = get_theme_mod( 'roof_water_proofing_content_font', 'Work Sans' );

	// Enqueue Google Fonts
	$roof_water_proofing_fonts_url = roof_water_proofing_get_fonts_url();
	if ( ! empty( $roof_water_proofing_fonts_url ) ) {
		wp_enqueue_style( 'roof-water-proofing-google-fonts', esc_url( $roof_water_proofing_fonts_url ), array(), null );
	}

	$roof_water_proofing_custom_css  = '';
	$roof_water_proofing_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $roof_water_proofing_primary_color ) . ';
		--secondary-color: ' . esc_attr( $roof_water_proofing_secondary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$roof_water_proofing_custom_css .= '
    /* Typography */
    :root {
        --font-heading: "' . esc_attr( $roof_water_proofing_header_font ) . '", serif;
        --font-main: -apple-system, BlinkMacSystemFont, "' . esc_attr( $roof_water_proofing_content_font ) . '", "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $roof_water_proofing_content_font ) . '", serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a {
        font-family: "' . esc_attr( $roof_water_proofing_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $roof_water_proofing_site_description_font ) . '", serif !important;
	}
    ';

	wp_add_inline_style( 'roof-water-proofing-style', $roof_water_proofing_custom_css );
}
add_action( 'wp_enqueue_scripts', 'roof_water_proofing_dynamic_css', 99 );